Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-13916

Notification.java uses or overrides a deprecated API.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: cordova-android-7.0.0
    • Fix Version/s: None
    • Component/s: cordova-plugin-dialogs
    • Labels:
      None
    • Environment:
      • "cordova-android": "^7.0.0",
      • "cordova-ios": "^4.5.4",
      • "cordova-plugin-dialogs": "^2.0.1",
      • "cordova-plugin-whitelist": "^1.3.3"

      Cordova version: 8.0.0

      Description

      When i tried to execute:

      cordova run android --verbose

       
      It gives me the next error:

      :app:compileDebugJavaWithJavacNote: my-app\platforms\android\app\src\main\java\org\apache\cordova\dialogs\Notification.java uses or overrides a deprecated API.

       
      The screen is White and on the Chrome Console(Developer tools) it shows the next error:

      Uncaught Error: Java exception was raised during method invocation

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              merolhack Lenin Meza
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: